
import wx
import gui
import urllib.request
import json
import os

from logHandler import log
import globalPluginHandler
import addonHandler
addonHandler.initTranslation()

addon: addonHandler.Addon = addonHandler.getCodeAddon()
licenseExtension = addon.loadModule("lib.licenseExtension")
licenseDialog = addon.loadModule("lib.licenseDialog")

def skipEventAndCall(handler):
	def wrapWithEventSkip(event):
		if event:
			event.Skip()
		return handler()
	return wrapWithEventSkip


class GlobalPlugin(globalPluginHandler.GlobalPlugin):

	def __init__(self, *args, **kwargs):
		super().__init__(*args, **kwargs)

		#gui.settingsDialogs.NVDASettingsDialog.categoryClasses.append(licensePanel)
		self.create_menu()
		# disable update checker
		#updateCheck.checkForUpdateOld = updateCheck.checkForUpdate
		#updateCheck.checkForUpdate = returnNone

	
	def create_menu(self):
		self.menu = wx.Menu()

		

		self.licenseUSA_menuItem = self.menu.Append(wx.ID_ANY, _("License"))

		gui.mainFrame.sysTrayIcon.Bind(
			wx.EVT_MENU,
			skipEventAndCall(self.licenseENP), self.licenseUSA_menuItem
		)
		self.submenu_item = gui.mainFrame.sysTrayIcon.menu.Insert(2, wx.ID_ANY, _("Excel Navigator Pro"), self.menu)
		gui.mainFrame.sysTrayIcon.Bind(
			wx.EVT_MENU,
			skipEventAndCall(self.licenseENP), self.submenu_item
		)


	def licenseENP(self):
		gui.mainFrame.prePopup()
		LicenseDialog = licenseDialog.LicenseDialog
		with LicenseDialog(gui.mainFrame) as dlg:
			dlg.ShowModal()
		gui.mainFrame.postPopup()

		








